Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Server Web Services Java API Reference 10g Release 3 (10.1.3) B25988-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.webservices.provider.transport
Class HTTPConstants

`java.lang.Object
oracle.webservices.provider.transport.HTTPConstants`

public class HTTPConstants
extends Object

HTTP transport-specific properties for provider messages. These properties are available on `oracle.webservices.provider.MessageContext` for HTTP messages. They provide access to typical properties found on a `javax.servlet.http.HttpServletRequest` instance.

Field Summary
`static String` | `HTTP_AUTH_TYPE` Property name for the name of the authentication scheme used to protect the servlet.
`static String` | `HTTP_CONTENT_LENGTH` Property name for the length, in bytes, of the request body.
`static String` | `HTTP_CONTENT_TYPE` Property name for the MIME type of the body of the request.
`static String` | `HTTP_CONTEXTPATH` Property name for the portion of the request URI that indicates the context of the request.
`static String` | `HTTP_COOKIES` Property name for an array containing all of the Cookie objects the client sent with this request.
`static String` | `HTTP_PATH_INFO` Property name for any extra path information associated with the URL the client sent when it made this request.
`static String` | `HTTP_PATH_TRANSLATED` Property name for any extra path information after the servlet name but before the query string, translated to a real path.
`static String` | `HTTP_QUERY_STRING` Property name for the query string that is contained in the request URL after the path.
`static String` | `HTTP_REMOTE_ADDR` Property name for the Internet Protocol (IP) address of the client or last proxy that sent the request.
`static String` | `HTTP_REMOTE_HOST` Property name for the fully qualified name of the client or the last proxy that sent the request.
`static String` | `HTTP_REMOTE_PORT` Property name for the Internet Protocol (IP) source port of the client or last proxy that sent the request.
`static String` | `HTTP_REMOTE_USER` Property name for the login of the user making this request, if the user has been authenticated, or null if the user has not been authenticated.
`static String` | `HTTP_REQUEST_URI` Property for the part of this request's URL from the protocol name up to the query string in the first line of the HTTP request.
`static String` | `HTTP_REQUEST_URL` Property name for reconstruction of the request's URL.
`static String` | `HTTP_SERVLET_PATH` Property name for the part of this request's URL that calls the servlet.
`static String` | `HTTP_SESSION` Property name for the current session associated with this request.
`static String` | `HTTP_SOAP_ACTION` Property name for SOAPAction in the client request.
`static String` | `HTTP_USER_PRINCIPAL` Property value for a Principal object containing the name of the current authenticated user.

Constructor Summary
`HTTPConstants()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### HTTP_CONTEXTPATH

    public static final String HTTP_CONTEXTPATH

  Property name for the portion of the request URI that indicates the context of the request. The context path always comes first in a request URI. The path starts with a "/" character but does not end with a "/" character. For servlets in the default (root) context, this method returns "". The container does not decode this string.
  Type: String
  See Also:
    Constant Field Values

### HTTP_SESSION

    public static final String HTTP_SESSION

  Property name for the current session associated with this request.
  Type: `javax.servlet.http.HttpSession`
  See Also:
    Constant Field Values

### HTTP_REMOTE_USER

    public static final String HTTP_REMOTE_USER

  Property name for the login of the user making this request, if the user has been authenticated, or null if the user has not been authenticated. Property value is the same as the value of the CGI variable REMOTE_USER.
  Type: String
  See Also:
    Constant Field Values

### HTTP_REQUEST_URI

    public static final String HTTP_REQUEST_URI

  Property for the part of this request's URL from the protocol name up to the query string in the first line of the HTTP request. The web container does not decode this String.
  Type: String
  See Also:
    Constant Field Values

### HTTP_REQUEST_URL

    public static final String HTTP_REQUEST_URL

  Property name for reconstruction of the request's URL. The returned URL contains a protocol, server name, port number, and server path, but it does not include query string parameters.
  Type: StringBuffer
  See Also:
    Constant Field Values

### HTTP_SERVLET_PATH

    public static final String HTTP_SERVLET_PATH

  Property name for the part of this request's URL that calls the servlet. This path starts with a "/" character and includes either the servlet name or a path to the servlet, but does not include any extra path information or a query string. Property value is the same as the value of the CGI variable SCRIPT_NAME.
  Type: String
  See Also:
    Constant Field Values

### HTTP_COOKIES

    public static final String HTTP_COOKIES

  Property name for an array containing all of the Cookie objects the client sent with this request. Property value is null if no cookies were sent.
  Type: `javax.servlet.http.Cookie`[]
  See Also:
    Constant Field Values

### HTTP_QUERY_STRING

    public static final String HTTP_QUERY_STRING

  Property name for the query string that is contained in the request URL after the path. Property value is null if the URL does not have a query string. Property value us the same a value oas the CGI variable QUERY_STRING.
  Type: String
  See Also:
    Constant Field Values

### HTTP_AUTH_TYPE

    public static final String HTTP_AUTH_TYPE

  Property name for the name of the authentication scheme used to protect the servlet. If the servlet is not authenticated, the property value is null . Property value is the same as the value of the CGI variable AUTH_TYPE.
  Type: String
  See Also:
    Constant Field Values

### HTTP_CONTENT_LENGTH

    public static final String HTTP_CONTENT_LENGTH

  Property name for the length, in bytes, of the request body. Property value is the same as the value of the CGI variable CONTENT_LENGTH.
  Type: Integer
  See Also:
    Constant Field Values

### HTTP_CONTENT_TYPE

    public static final String HTTP_CONTENT_TYPE

  Property name for the MIME type of the body of the request. Property value is the same as the value of the CGI variable CONTENT_TYPE.
  Type: String
  See Also:
    Constant Field Values

### HTTP_REMOTE_ADDR

    public static final String HTTP_REMOTE_ADDR

  Property name for the Internet Protocol (IP) address of the client or last proxy that sent the request. Property value is the same as the value of the CGI variable REMOTE_ADDR.
  Type: String
  See Also:
    Constant Field Values

### HTTP_REMOTE_HOST

    public static final String HTTP_REMOTE_HOST

  Property name for the fully qualified name of the client or the last proxy that sent the request. Property value is the same as the value of the CGI variable REMOTE_HOST.
  Type: String
  See Also:
    Constant Field Values

### HTTP_REMOTE_PORT

    public static final String HTTP_REMOTE_PORT

  Property name for the Internet Protocol (IP) source port of the client or last proxy that sent the request.
  Type: Integer
  See Also:
    Constant Field Values

### HTTP_SOAP_ACTION

    public static final String HTTP_SOAP_ACTION

  Property name for SOAPAction in the client request. Property value is taken from the SOAPAction HTTP header.
  Type: String
  See Also:
    Constant Field Values

### HTTP_PATH_INFO

    public static final String HTTP_PATH_INFO

  Property name for any extra path information associated with the URL the client sent when it made this request. The extra path information follows the servlet path but precedes the query string. Property value is null if there was no extra path information. Property value is the same as the value of the CGI variable PATH_INFO.
  Type: String
  See Also:
    Constant Field Values

### HTTP_PATH_TRANSLATED

    public static final String HTTP_PATH_TRANSLATED

  Property name for any extra path information after the servlet name but before the query string, translated to a real path. If the URL does not have any extra path information, the property value is null. Property value is the same as the value of the CGI variable PATH_TRANSLATED.
  Type: String
  See Also:
    Constant Field Values

### HTTP_USER_PRINCIPAL

    public static final String HTTP_USER_PRINCIPAL

  Property value for a Principal object containing the name of the current authenticated user. Property value is null if the user has not been authenticated.
  Type: `java.security.Principal`
  See Also:
    Constant Field Values

Constructor Detail

### HTTPConstants

    public HTTPConstants()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright © 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD